> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Upsert Payment Transfer

> Creates or updates the single payment-transfer record (amount, method, transaction ID) attached to a warrant.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json POST /tga/upsert-payment-transfer
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/upsert-payment-transfer:
    post:
      operationId: upsertPaymentTransfer
      summary: Upsert Payment Transfer
      description: >-
        Creates or updates the single payment-transfer record (amount, method,
        transaction ID) attached to a warrant.


        Not available to API keys.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpsertPaymentTransferRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UpsertPaymentTransferResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    UpsertPaymentTransferRequest:
      type: object
      properties:
        warrantID:
          type: string
        amount:
          type: number
        name:
          type: string
        paymentMethod:
          type: string
          enum:
            - WIRE_TRANSFER
            - WALLET
        transactionID:
          type: string
      required:
        - warrantID
        - amount
        - name
        - paymentMethod
        - transactionID
    UpsertPaymentTransferResponse:
      type: object
      properties:
        paymentTransferID:
          type: string
        roleInOrgID:
          type: string
        investorEntityID:
          type:
            - string
            - 'null'
        warrantID:
          type: string
        paymentMethod:
          type: string
          enum:
            - WIRE_TRANSFER
            - WALLET
        amount:
          type: number
        name:
          type: string
        transactionID:
          type: string
        createdAt:
          type: string
        updatedAt:
          type: string
      required:
        - paymentTransferID
        - roleInOrgID
        - investorEntityID
        - warrantID
        - paymentMethod
        - amount
        - name
        - transactionID
        - createdAt
        - updatedAt
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
